# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=7
PYTHON_COMPAT=( python3_{6,7,8} )
DISTUTILS_USE_SETUPTOOLS=rdepend

inherit distutils-r1

DESCRIPTION="Jinja2 Command-Line Tool, reworked."
HOMEPAGE="http://pypi.python.org/pypi/j2cli"
SRC_URI="https://github.com/kolypto/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="BSD"
SLOT="0"
KEYWORDS="x86 amd64"
IUSE="+yaml test"

CDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
DEPEND="
	${CDEPEND}
	test? (
		dev-python/wheel[${PYTHON_USEDEP}]
		dev-python/nose[${PYTHON_USEDEP}]
	)
"
RDEPEND="
	${CDEPEND}
	>=dev-python/jinja-3.6[${PYTHON_USEDEP}]
	yaml? (
		>=dev-python/pyyaml-3.10[${PYTHON_USEDEP}]
	)
"

python_test() {
	nosetests j2cli/tests || die "tests failed under ${EPYTHON}"
}
